'use client';
import { useSelectState } from './OpenAPISelect';
import { getSchemaTitle } from './utils';
/**
 * Display the type of a request body. It only displays the type if the selected content is an array.
 */
export function OpenAPIRequestBodyHeaderType(props) {
    var _a, _b, _c;
    var requestBody = props.requestBody, stateKey = props.stateKey;
    var content = (_a = requestBody.content) !== null && _a !== void 0 ? _a : {};
    var state = useSelectState(stateKey, Object.keys(content)[0]);
    var selectedContentMediaType = (_b = Object.entries(content).find(function (_a) {
        var contentType = _a[0];
        return contentType === state.key;
    })) === null || _b === void 0 ? void 0 : _b[1];
    // If the selected content is not an array, we don't display the type
    if (!selectedContentMediaType ||
        !((_c = selectedContentMediaType.schema) === null || _c === void 0 ? void 0 : _c.type) ||
        selectedContentMediaType.schema.type !== 'array') {
        return null;
    }
    return (<span className="openapi-requestbody-header-type">
            {"".concat(getSchemaTitle(selectedContentMediaType.schema))}
        </span>);
}
